SVNConflictAction (JavaDoc :: Documentation :: Pure Java Subversion (SVN) Client Library)
Keywords: org.tmatesoft.svn.core.wc.SVNConflictAction class

Overview | Package | Class | Tree | Deprecated | Index | Help
| SVNKit Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.tmatesoft.svn.core.wc
Class SVNConflictAction

    java.lang.Object
      org.tmatesoft.svn.core.wc.SVNConflictAction

public class SVNConflictAction
extends Object

The SVNConflictAction represents the type of action being attempted on an object which leads to a conflict.

Since:
  1.2
Version:
  1.3
Author:
  TMate Software Ltd.

Field Summary
`static SVNConflictAction` | `ADD` Constant representing an attempt to add an object.
`static SVNConflictAction` | `DELETE` Constant representing an attempt to delete an object.
`static SVNConflictAction` | `EDIT` Constant representing an attempt to change text or props.

Method Summary
`static SVNConflictAction` | `fromString(String action)` Converts string to an `SVNConflictAction` object when possible.
`String` | `getName()` Returns the string representation of this action.
`String` | `toString()` Returns the string representation of this action.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### EDIT

    public static final SVNConflictAction EDIT

  Constant representing an attempt to change text or props.

### ADD

    public static final SVNConflictAction ADD

  Constant representing an attempt to add an object.

### DELETE

    public static final SVNConflictAction DELETE

  Constant representing an attempt to delete an object.

Method Detail

### fromString

    public static SVNConflictAction fromString(String action)

  Converts string to an `SVNConflictAction` object when possible.

  Parameters:
    `action` - action name
  Returns:
    `SVNConflictAction` object which `getName()` equals to `action`; `null` in case `action` matches no `SVNConflictAction` constant
  Since:
    1.3

### getName

    public String getName()

  Returns the string representation of this action.

  Returns:
    string representation
  Since:
    1.3

### toString

    public String toString()

  Returns the string representation of this action.

  Returns:
    string representation
  Since:
    1.3

Overview | Package | Class | Tree | Deprecated | Index | Help
| SVNKit Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2009 TMate Software Ltd. All Rights Reserved.